#!/bin/sh
#

#exit 5;


dbg()
{
   	echo $1 > /dev/console
}

wrap_exit()
{
   	ret=$1;
#   echo "1" > /tmp/mountDev
   	exit ${ret}  	
}


#mount_dev /dev/sda1  /media/sd1
mount_dev()
{
	if [ $# -lt 2 ]
	then
		dbg " pls input device node and mount point"
		wrap_exit 2
	fi
  
	devNode=$1
	mntDir=$2  
	
	if [ ! -d ${mntDir} ]; then
		mkdir -p ${mntDir};
		if [ "X$?" != "X0" ]; then 
			echo -ne "error: failed to create mount point ${mntDir}\n";
			wrap_exit 5; 
		fi
	fi

	echo "try to mount ${devNode} ${mntDir}"	

	mount  ${devNode} ${mntDir}
	if [ "X$?" != "X0" ]; then 
		echo -ne "error:  mount ${devNode} on ${mntDir} failed\n";
		wrap_exit 6; 
	else
		echo "mount ${devNode} on ${mntDir} ok\n"   
	fi
} 


#inMount=;
#if [ -r "/tmp/mounting" ]; then
#  inMount=`cat /tmp/mounting`
#fi
#if [ "X$inMount" == "Xgoing" ]
#then 
#    echo  " wait: be mounting ... " > /dev/console
#    exit 2
#fi

#echo "going" > /tmp/mounting

MOUNT_DEV="/dev/sda1"
if [ $# -gt 0 ];  then
   MOUNT_DEV=$1
fi

MOUNT_POINT="/media/sd"
if [ $# -gt 1 ];  then
   MOUNT_POINT=$2
fi

dbg ""

mount_dev ${MOUNT_DEV} ${MOUNT_POINT}

#rm /var/www/sd
#ln -s ${MOUNT_POINT} /var/www/sd

wrap_exit 0;  
