var snapshot = {};
snapshot.cameras = 8;
snapshot.currStream = 0;
snapshot.streamlocations = new Array();
//snapshot.streamnames = new Array();
snapshot.vencoders = new Array();

snapshot.streamnames = [
"/tmp/snap0.jpg",
"/tmp/snap1.jpg",
"/tmp/snap2.jpg",
"/tmp/snap3.jpg",
"/tmp/snap4.jpg",
"/tmp/snap5.jpg",
"/tmp/snap6.jpg",
"/tmp/snap7.jpg"
];
/*
snapshot.streamnames = [
"/cgi-bin/img-0.cgi",
"/cgi-bin/img-1.cgi",
"/cgi-bin/img-2.cgi",
"/cgi-bin/img-3.cgi",
"/cgi-bin/img-4.cgi",
"/cgi-bin/img-5.cgi",
"/cgi-bin/img-6.cgi",
"/cgi-bin/img-7.cgi"
];
*/
snapshot.ResponseCodes = {
	"SUCCESS" : 0,
	"UNSUPPORTED_HTTP_METHOD" : 1,
	"UNSUPPORTED_RETURN_TYPE" : 2,
	"UNSUPPORTED_ATTRIBUTE" : 3,
	"UNKNOWN_ATTRIBUTE" : 4,
	"UNKNOWN_PROPERTY" : 5,
	"MESSAGE_PARSE_ERROR" : 6,
	"DATABASE_FAILURE" : 7,
	"UNKNOWN_ERROR" : 8
};

snapshot.ResponseStrings = ["Success",
                           "Incorrect http method for this resource",
                           "Unsupported return mime-type",
                           "Unsupported attribute encountered for this resource",
                           "Unknown attribute encountered for this resource",
                           "Unknown property encountered for this resource",
                           "Message parsing error",
                           "Database IO error",
                           "An unknown error was encountered"];

snapshot.get = function(instance) {
	$.ajax({
		beforeSend: function(xhrObj){
			xhrObj.setRequestHeader("Accept","application/xml");
			xhrObj.setRequestHeader("Content-Type", "application/xml");
		},
		url: "/cgi-bin/v1/servers/snapshot/"+instance+"?"+Math.random(),
		async: false,
		type: "GET",
		dataType: "xml",
		success: getSuccessHandler,
		error: function(err, textStatus) {
			handleError("/servers/snapshot", "GET", err, textStatus);
		}
	});
	
	function getSuccessHandler (result) {
		var rootNode = $(result).children("snapshot");
		var res = $(rootNode).children("res").attr("ul");

		if (res == undefined) {
			//alert("result not set");
			return;
		} 
		else 
		{
			if (parseInt(res) != snapshot.ResponseCodes.SUCCESS) {
				return;
			} 
			else 
			{
			    var valNode = $(rootNode).children("cameras");
				if (valNode == undefined || valNode.attr("ul") == undefined)
				{
					//alert("g3 level not received");
					//return;
				}
				else 
				{
					snapshot.cameras = parseInt(valNode.attr("ul"),10);
				}
			}
		}
		
	}
	
};

