/*
 * Maxim Integrated Products
 * India Design Center
 *
 * Copyright (c) 2010 Maxim Integrated Products
 *
 * File: $URL: $
 *
 * Description: Contains functions to generate HTML content
 *
 * Originators: Barry Smith
 *
 * $Id: $
 */

/**
 * @brief Dynamically create the tabbed header
 */
function createHeader( container, current ) {
	var header;
	if(current == "home")
	{	 
	     header =  '<ul><li '+(current=='home'?'id=\"current\"':'')+'><a href="live.html"><span id="L1">Live</span></a></li>';
	     header += '<li '+(current=='settings'?'id=\"current\"':'')+'><a href="settings/settings-video.html"><span id="L2">Settings</span></a></li>';
		 /*header += '<li '+(current=='language'?'id=\"current\"':'')+'><a href="settings/settings-language.html"><span id="L3">Language</span></a></li></ul>';*/
	}
	else if(current == "settings") {
		header = '<ul><li '+(current=='home'?'id=\"current\"':'')+'><a href="../live.html"><span id="L1">Live</span></a></li>';
		header += '<li '+(current=='settings'?'id=\"current\"':'')+'><a href="settings-video.html"><span id="L2">Settings</span></a></li>';
		/*header += '<li '+(current=='language'?'id=\"current\"':'')+'><a href="settings-language.html"><span id="L3">Language</span></a></li></ul>';*/
	}
	/*
    else if(current == "language") {
		header = '<ul><li '+(current=='home'?'id=\"current\"':'')+'><a href="../index.html"><span id="L1">Live</span></a></li>';
		header += '<li '+(current=='settings'?'id=\"current\"':'')+'><a href="settings-video.html"><span id="L2">Settings</span></a></li>';
		header += '<li '+(current=='language'?'id=\"current\"':'')+'><a href="settings-language.html"><span id="L3">Language</span></a></li></ul>';
	}
	*/
	container.html(header);
}

function createUserHeader( container, current ) {
	var header;
	if(current == "home")
	{	 
	     header =  '<ul><li '+(current=='home'?'id=\"current\"':'')+'><a href="live.html"><span id="L1">Live</span></a></li>';
	     header += '<li '+(current=='settings'?'id=\"current\"':'')+'><a href="settings/settings-user.html"><span id="L2">Settings</span></a></li>';
		 /*header += '<li '+(current=='language'?'id=\"current\"':'')+'><a href="settings/settings-language.html"><span id="L3">Language</span></a></li></ul>';*/
	}
	else if(current == "settings") {
		header = '<ul><li '+(current=='home'?'id=\"current\"':'')+'><a href="../live.html"><span id="L1">Live</span></a></li>';
		header += '<li '+(current=='settings'?'id=\"current\"':'')+'><a href="settings-user.html"><span id="L2">Settings</span></a></li>';
		/*header += '<li '+(current=='language'?'id=\"current\"':'')+'><a href="settings-language.html"><span id="L3">Language</span></a></li></ul>';*/
	}
	container.html(header);
}

