#!/bin/sh
#

dbg()
{
   	echo $1 > /dev/console
}

wrap_exit()
{
   	ret=$1;
   	#echo "1" > /tmp/mountDev
   	exit ${ret}  	
}

g_DEV=$1
mntDir=$2
g_type=$3
devNode=${g_DEV}

bin_dir=/dvr/app/usrbin/

len=${#g_DEV}

#${bin_dir}samba.sh  stop

${bin_dir}umount.sh  ${g_DEV}

if [ "X${len}" == "X8" ] ; then
	${bin_dir}fdisk.sh  ${g_DEV}
	if [ -e "${g_DEV}1" ]
	then
		devNode="${g_DEV}1"
	else
		wrap_exit 4
	fi  
fi

${bin_dir}vfatfmt.sh  ${devNode} ${g_type}
if [ "X$?" != "X0" ]; then
	wrap_exit 5
fi  

if [ "X${mntDir}" != "X" ]; then
	${bin_dir}mount.sh  ${devNode} ${mntDir}
	if [ "X$?" != "X0" ]; then
  	 wrap_exit 5
	fi  	
fi	

#${bin_dir}samba.sh  start

wrap_exit 0;
