#!/bin/sh
#

dbg()
{
   	echo $1 > /dev/console
}

wrap_exit()
{
   	ret=$1;
   	#echo "1" > /tmp/mountDev
   	exit ${ret}  	
}

#umount_dev /dev/sda
umount_dev()
{
	if [ $# -lt 1 ]
	then
		dbg " pls input device"
		exit 2
	fi
  
  device=$1    
	
	mnt_dev=`mount | grep ${device} | awk '{print $1}' `
	
	#dbg "mnt_dev=${mnt_dev}"
  
  if [ "X${mnt_dev}" != "X" ];    then  
  	 dbg "try to umount ${mnt_dev}"
     umount -lf ${mnt_dev};
     if [ "X$?" != "X0" ]; then
        dbg  "error: failed to umount  ${mnt_dev}"
        wrap_exit 2
     else
        dbg "umount ${mnt_dev} ok"   
     fi
  else
    dbg "can't find mount point ${device}, no need to umount"   
  fi
} 


g_DEV=$1

dbg ""

umount_dev  ${g_DEV}

wrap_exit 0;