var p2p = {};
p2p.p2p_uid="C3CT9XRPJWE7BHPPWFFJ";
p2p.p2p_pwd="";
p2p.p2p_server="";
p2p.local_uid="ABC123";
p2p.local_pwd="JSW";

p2p.ResponseCodes = {
	"SUCCESS" : 0,
	"UNSUPPORTED_HTTP_METHOD" : 1,
	"UNSUPPORTED_RETURN_TYPE" : 2,
	"UNSUPPORTED_ATTRIBUTE" : 3,
	"UNKNOWN_ATTRIBUTE" : 4,
	"UNKNOWN_PROPERTY" : 5,
	"MESSAGE_PARSE_ERROR" : 6,
	"DATABASE_FAILURE" : 7,
	"UNKNOWN_ERROR" : 8	
};

p2p.get = function() {	
	$.ajax( {
		beforeSend : function(xhrObj) {
			xhrObj.setRequestHeader("Accept", "application/xml");	
			$("#L2015").css( {
				visibility : "visible"
			});
		},
		url : "/cgi-bin/v1/networks/p2p?"+Math.random(),
		type : "GET",
		async : false,
		dataType : "xml",
		success : getSuccessHandler,
		error : function(err, textStatus) {
			handleError("/networks/p2p", "GET", err, textStatus);
		}
	});

	function getSuccessHandler(xml)
	{
		$("#L2015").css( {
				visibility : "hidden"
			});
		var p2pNode = $(xml).children("p2p");
		//alert(xml);
		var res = $(p2pNode).children("res").attr("ul");
		if (res == undefined) {
			//alert("res not set");
			return;
		} else if (parseInt(res) != p2p.ResponseCodes.SUCCESS) {
			//alert("Error: " + p2p.ResponseStrings[parseInt(res)]);
			return;
		}       

		var valNode = $(p2pNode).children("p2p_uid");
		if (valNode == undefined || valNode.attr("s") == undefined)
		{
			//alert("p2p level not received");
			//return;
		}
		else 
		{
			p2p.p2p_uid = valNode.attr("s");
		}
		
        valNode = $(p2pNode).children("p2p_pwd");
		if (valNode == undefined || valNode.attr("s") == undefined)
		{
			//alert(" acc delay not received");
			//return;
		}
		else 
		{
			p2p.p2p_pwd = valNode.attr("s");
		}

        valNode = $(p2pNode).children("p2p_server");
		if (valNode == undefined || valNode.attr("s") == undefined)
		{
			//alert(" acc delay not received");
			//return;
		}
		else 
		{
			p2p.p2p_server = valNode.attr("s");
		}

		valNode = $(p2pNode).children("local_uid");
		if (valNode == undefined || valNode.attr("s") == undefined)
		{
			//alert(" acc delay not received");
			//return;
		}
		else 
		{
			p2p.local_uid = valNode.attr("s");
		}

		valNode = $(p2pNode).children("local_pwd");
		if (valNode == undefined || valNode.attr("s") == undefined)
		{
			//alert(" acc delay not received");
			//return;
		}
		else 
		{
			p2p.local_pwd = valNode.attr("s");
		}		
	}
};

p2p.put = function() 
{
	function serializeXML() {
		       
		var xml = '<?xml version="1.0"?>\r\n';
		xml += '<p2p>';	
				
		xml += '<p2p_uid s="' + $("#txt_p2puid").val() + '"/>';
		xml += '<p2p_pwd s="' + $("#txt_p2ppwd").val() + '"/>';
		xml += '<p2p_server s="' + $("#txt_p2pserver").val() + '"/>';
		xml += '<local_uid s="' + $("#txt_localuid").val() + '"/>';
		xml += '<local_pwd s="' + $("#txt_localpwd").val() + '"/>';
				
		xml += '</p2p>';

		return xml;
	}

	var xml = serializeXML();
	$.ajax( {
		beforeSend : function(xhrObj) {
			xhrObj.setRequestHeader("Accept", "application/xml");
			xhrObj.setRequestHeader("Content-Type", "application/xml");
			$("#L2015").css( {
				visibility : "visible"
			});
			$("#button_p2p").attr("disabled", true);
			$("#L2015").html(eval('tip_res.'+getCookieLanguage()+'["Settings Updating"]'));
		},
		url : "/cgi-bin/v1/networks/p2p",
		type : "PUT",
		data : xml,
		dataType : "xml",
		success : putSuccessHandler,
		error : function(err, textStatus) {
			$("#button_p2p").attr("disabled", false);
			$("#L2015").css( {
				visibility : "hidden"
			});
			handleError("/system/p2p", "PUT", err, textStatus);
		}
	});

	function putSuccessHandler(result) {
		$("#button_p2p").attr("disabled", false);
		//$("#L2015").hide();
		var p2pNode = $(result).children("p2p");
		var res = $(p2pNode).children("res").attr("ul");

		if (res == undefined) {
			//alert("result not set");
			return;
		} 
		else 
		{
			if (parseInt(res) != p2p.ResponseCodes.SUCCESS) {
				//alert("Error: " + p2p.ResponseStrings[parseInt(res)]);
				return;
			} else 
			{
			   $("#L2015").html(eval('tip_res.'+getCookieLanguage()+'["Settings Update Ok"]'));
			}
		}
	}
};

p2p.setValues = function()
{	
    $("#txt_p2puid").val(p2p.p2p_uid);
	$("#txt_p2ppwd").val(p2p.p2p_pwd);
	$("#txt_p2pserver").val(p2p.p2p_server);
	$("#txt_localuid").val(p2p.local_uid);
	$("#txt_localpwd").val(p2p.local_pwd);	
	
	//if(getCookieLanguage()=="cn")
    {
       $("#button_p2p").val(eval('button_res.'+getCookieLanguage()+'["Apply"]'));
    } 
};

