var factoryreset = {};

factoryreset.ResponseCodes = {
	"SUCCESS" : 0,
	"UNSUPPORTED_HTTP_METHOD" : 1,
	"UNSUPPORTED_RETURN_TYPE" : 2,
	"UNSUPPORTED_ATTRIBUTE" : 3,
	"UNKNOWN_ATTRIBUTE" : 4,
	"UNKNOWN_PROPERTY" : 5,
	"MESSAGE_PARSE_ERROR" : 6,
	"DATABASE_FAILURE" : 7,
	"UNKNOWN_ERROR" : 8
};

factoryreset.ResponseStrings = ["Success",
                                "Incorrect http method for this resource",
                                "Unsupported return mime-type",
                                "Unsupported attribute encountered for this resource",
                                "Unknown attribute encountered for this resource",
                                "Unknown property encountered for this resource",
                           	  	"Message parsing error",
                           	  	"Database IO error",
                           	  	"An unknown error was encountered"];

factoryreset.put = function (opt) {
	xml = "";
	$.ajax({
		beforeSend: function(xhrObj){
			xhrObj.setRequestHeader("Accept","application/xml");
			$("#button_reset"+opt).attr("disabled", true);
			$("#spanLoaderFactory"+opt).css({visibility:"visible"});
		},
		url: "/cgi-bin/v1/system/reset/factory/"+opt+"?"+Math.random(),
		type: "PUT",
		data: xml,
		dataType: "xml",
		async: false,
		success: putSuccessHandler,
		error: function(err, textStatus) {
			$("#button_reset"+opt).attr("disabled", false);
			$("#spanLoaderFactory"+opt).css({visibility:"hidden"});
			//handleError("/system/reset/factory", "PUT", err, textStatus);
		}
	});

	function putSuccessHandler (xml) {
		$("#button_reset"+opt).attr("disabled", false);
		$("#spanLoaderFactory"+opt).css({visibility:"hidden"});
		var systemNode = $(xml).children("system");

		var res = $(systemNode).children("res").attr("ul");
		if (res == undefined) {
			//alert("res not set");
			return;
		} else if (parseInt(res) != factoryreset.ResponseCodes.SUCCESS) {
			//alert("Error! " + factoryreset.ResponseStrings[parseInt(res)]);
			return;
		}
		
		//alert ("All your camera's configuration settings have been reset to their factory defaults!\nYour Camera is being rebooted. Please connect to your camera in Adhoc mode once it has booted.");
	}
};
